#!/usr/bin/env python
# -- coding: latin-1
## HarvestMan is a web crawler application 
## Copyright (C) 2003 Anand B Pillai

## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

# Utility to print a human readable version
# of HarvestMan project file.

# Author: Anand B Pillai
# Copyright (C) 2004 - 2005: Anand B Pillai

# This file is part of HarvestMan package.

import zlib
import sys

def uncompressproject(projectfile):
    return zlib.decompress(open(projectfile, 'rb').read())

if __name__=="__main__":
    if len(sys.argv)<2:
        sys.exit("Usage: projectreader.py <harvestman project file>")
        
    print uncompressproject(sys.argv[1])

