## Script (Python) "get_externalsitecatalog_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
try:
    return context.get_generated_externalsitecatalog_ftests()
except:
    pass

from Products.CMFCore.utils import getToolByName
selenium = getToolByName(context, 'portal_selenium')

suite = selenium.getSuite()

suite.addTests("Add a site, and edit it again",
               """Add a site, and edit it again""",
               """Remove all sites""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.click("""selectButton"""),
               suite.clickAndWait("""form.button.Delete"""),
               suite.verifyTextPresent("""Changes made."""),
               """Add Site 'Site 1'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""form.button.AddSite"""),
               suite.type("""title""", """Site 1"""),
               suite.type("""url""", """http://localhost:8080/ExternalSite"""),
               suite.click("""period_4"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=May"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=22"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""No"""),
               """Reconfigure Site 'Site 1' to 'Site 2'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""link=Site 1"""),
               suite.type("""title""", """Site 2"""),
               suite.type("""url""", """http://localhost:8080/ExternalSite"""),
               suite.click("""period_4"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=May"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=22"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""No"""),
               suite.verifyTextPresent("""No"""),
               """Site 'Site 2' is contained in configlet""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.verifyTextPresent("""Site 2"""),
               """Site 'Site 1' is not contained in configlet""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.verifyTextNotPresent("""Site 1"""),
              )

suite.addTests("Add a bunch of external sites to the configuration",
               """Remove all sites""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.click("""selectButton"""),
               suite.clickAndWait("""form.button.Delete"""),
               suite.verifyTextPresent("""Changes made."""),
               """Add Site 'Zope Site'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""form.button.AddSite"""),
               suite.type("""title""", """Zope Site"""),
               suite.type("""url""", """http://localhost:8080"""),
               suite.click("""period_4"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=May"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=22"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.type("""login""", """login"""),
               suite.type("""password""", """password"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""No"""),
               """Add Site 'Site 2'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""form.button.AddSite"""),
               suite.type("""title""", """Site 2"""),
               suite.type("""url""", """http://localhost:8080/ExternalSite"""),
               suite.click("""period_4"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=May"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=22"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""No"""),
               """Add Site 'Site 1'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""form.button.AddSite"""),
               suite.type("""title""", """Site 1"""),
               suite.type("""url""", """http://localhost:8080/ExternalSite"""),
               suite.click("""period_4"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=May"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=22"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""No"""),
               """Add Site 'Site needing a login'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""form.button.AddSite"""),
               suite.type("""title""", """Site needing a login"""),
               suite.type("""url""", """http://localhost:8080/ExternalSite"""),
               suite.click("""period_4"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=May"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=22"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.type("""login""", """login"""),
               suite.type("""password""", """password"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""No"""),
               """Add Site 'Login but no password'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""form.button.AddSite"""),
               suite.type("""title""", """Login but no password"""),
               suite.type("""url""", """http://localhost:8080/ExternalSite"""),
               suite.click("""period_4"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=May"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=22"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.type("""login""", """login"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""No"""),
               """Add Site 'Password but no login'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""form.button.AddSite"""),
               suite.type("""title""", """Password but no login"""),
               suite.type("""url""", """http://localhost:8080/ExternalSite"""),
               suite.click("""period_4"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=May"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=22"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.type("""password""", """password"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""No"""),
               """Add Site 'Monthly, scheduled for now'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""form.button.AddSite"""),
               suite.type("""title""", """Monthly, scheduled for now"""),
               suite.type("""url""", """http://localhost:8080/ExternalSite"""),
               suite.click("""period_5"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=April"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=12"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""Yes"""),
               """Add Site 'Daily, scheduled for now'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""form.button.AddSite"""),
               suite.type("""title""", """Daily, scheduled for now"""),
               suite.type("""url""", """http://localhost:8080/ExternalSite"""),
               suite.click("""period_4"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=May"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=20"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""Yes"""),
               """Site 'Zope Site' is contained in configlet""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.verifyTextPresent("""Zope Site"""),
               """Site 'Site 2' is contained in configlet""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.verifyTextPresent("""Site 2"""),
               """Site 'Site 1' is contained in configlet""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.verifyTextPresent("""Site 1"""),
               """Site 'Site needing a login' is contained in configlet""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.verifyTextPresent("""Site needing a login"""),
               """Site 'Login but no password' is contained in configlet""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.verifyTextPresent("""Login but no password"""),
               """Site 'Password but no login' is contained in configlet""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.verifyTextPresent("""Password but no login"""),
               """Site 'Monthly, scheduled for now' is contained in configlet""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.verifyTextPresent("""Monthly, scheduled for now"""),
               """Site 'Daily, scheduled for now' is contained in configlet""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.verifyTextPresent("""Daily, scheduled for now"""),
              )

suite.addTests("Add a site that is refreshed daily, and is currently scheduled",
               """Remove all sites""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.click("""selectButton"""),
               suite.clickAndWait("""form.button.Delete"""),
               suite.verifyTextPresent("""Changes made."""),
               """Add Site 'Daily, scheduled for now'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""form.button.AddSite"""),
               suite.type("""title""", """Daily, scheduled for now"""),
               suite.type("""url""", """http://localhost:8080/ExternalSite"""),
               suite.click("""period_4"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=May"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=20"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""Yes"""),
               """Site 'Daily, scheduled for now' is pending""",
               suite.verifyTextPresent("""Yes"""),
              )

suite.addTests(" Add a site that is refreshed monthly, and is currently scheduled",
               """Remove all sites""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.click("""selectButton"""),
               suite.clickAndWait("""form.button.Delete"""),
               suite.verifyTextPresent("""Changes made."""),
               """Add Site 'Monthly, scheduled for now'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""form.button.AddSite"""),
               suite.type("""title""", """Monthly, scheduled for now"""),
               suite.type("""url""", """http://localhost:8080/ExternalSite"""),
               suite.click("""period_5"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=April"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=12"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""Yes"""),
               """Site 'Monthly, scheduled for now' is pending""",
               suite.verifyTextPresent("""Yes"""),
              )

suite.addTests("Index a site and search it",
               """Remove all sites""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.click("""selectButton"""),
               suite.clickAndWait("""form.button.Delete"""),
               suite.verifyTextPresent("""Changes made."""),
               """Add Site 'Zope Site'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.clickAndWait("""form.button.AddSite"""),
               suite.type("""title""", """Zope Site"""),
               suite.type("""url""", """http://localhost:8080"""),
               suite.click("""period_4"""),
               suite.select("""edit_form_last_execution_date_8_year""", """label=2006"""),
               suite.select("""edit_form_last_execution_date_8_month""", """label=May"""),
               suite.select("""edit_form_last_execution_date_8_day""", """label=22"""),
               suite.select("""edit_form_last_execution_date_8_hour""", """label=00"""),
               suite.select("""edit_form_last_execution_date_8_minute""", """label=00"""),
               suite.type("""max_duration""", """1"""),
               suite.type("""login""", """login"""),
               suite.type("""password""", """password"""),
               suite.clickAndWait("""form_submit"""),
               suite.verifyTextPresent("""No"""),
               """Index Site 'Zope Site'""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.click("""//input[@name='ids:list' and @value='externalsitecatalogtask']"""),
               suite.clickAndWait("""form.button.Index"""),
               """Search for: Site 'Zope Site'""",
               """Go home""",
               suite.open("""/"""),
               suite.type("""PrincipiaSearchSource""", """Zope QuickStart"""),
               suite.clickAndWait("""SUBMIT"""),
               suite.verifyTextPresent("""Zope QuickStart"""),
               """Site 'Zope Site' is contained in configlet""",
               suite.open("""/prefs_externalsitecatalog"""),
               suite.verifyTextPresent("""Zope Site"""),
              )

return suite
